/*
  (c) 2005 Antonio Cunei, All rights reserved.

  This file is part of PolyD.

  PolyD is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation; either version 2.1 of the License, or
  (at your option) any later version.

  PolyD is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with PolyD; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ovm.polyd;

/*#ifdef14


    public final class Missing
    {

        public static final Missing STANDARD; // refer to Dispatching Policy
        public static final Missing IGNORE;   // override: always ignore
        public static final Missing WARN;     // override: always print a warning
        public static final Missing FAIL;     // override: always throw an exception
        public static final Missing ABORT;     // override: always System.exit(10);
        private String name;

        public String toString()
        {
            return (name);
        }                                                                          

        static
        {
            STANDARD = new Missing("STANDARD");
            IGNORE = new Missing("IGNORE");
            WARN = new Missing("WARN");
            FAIL = new Missing("FAIL");
            ABORT = new Missing("ABORT");
        }

        private Missing(String s)
        {
            name=s;
        }
    }

#else14 */
 /**
  * The set of possible values for the {@link ovm.polyd.tags.OnMissing} tag.
  * 
  * @author Antonio Cunei
  * @version $Revision: 1.2 $, $Date: 2005/04/02 05:51:32 $
  *
  */
 public enum Missing {
  /**
   * refer to the handling specified in the dispatching policy
   */
  STANDARD,
  /**
   * always ignore the missing method
   */
  IGNORE,
  /**
   * always print a warning when a missing method is encountered
   */
  WARN,
  /**
   * when a method is not found, always throw a {@link MissingMethodException}
   */
  FAIL,
  /**
   * when a method is not found, about immediately calling <code>System.exit</code>
   */
  ABORT
 }

//#endif14

