/*
  (c) 2005 Antonio Cunei, All rights reserved.

  This file is part of PolyD.

  PolyD is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation; either version 2.1 of the License, or
  (at your option) any later version.

  PolyD is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with PolyD; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ovm.polyd;

/**
 * Thrown if a message with no corresponding method cannot be
 * handled in other ways.<p>
 * This exception is meant to be for consumption by the client
 * code, and it can only be thrown by the PolyD core. Policies
 * should not attempt to throw a MissingMethodException
 * themselves. If a missing method is detected in a dispatching policy
 * (during <code>bestMatch</code>) just return -1 instead. If you
 * want to throw this exception from your <code>onMissing</code>
 * method, return false instead.
 * @see ovm.polyd.tags.OnMissing
 * @version $Revision: 1.5 $, $Date: 2005/04/02 05:51:32 $
 * @author Antonio Cunei
 *
 */
public class MissingMethodException extends PolyDException {
 MissingMethodException() {super();}
 MissingMethodException(String s) {super("\n"+s+"\n");}
}
