/*
  (c) 2005 Antonio Cunei, All rights reserved.

  This file is part of PolyD.

  PolyD is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation; either version 2.1 of the License, or
  (at your option) any later version.

  PolyD is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with PolyD; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ovm.polyd;

/**
 * This class of exceptions is thrown by PolyD or its modules,
 * including the dispatching and invocation policies,
 * whenever something goes wrong. Note that unexpected
 * PolyD internal errors are not instances of this exception class.
 * 
 * @see InternalError
 * @version $Revision: 1.4 $, $Date: 2005/04/02 05:51:32 $
 * @author Antonio Cunei
 *
 */
abstract public class PolyDException extends RuntimeException {
 protected PolyDException() {super();}
 protected PolyDException(String s) {super(s);}
 protected PolyDException(String s,Throwable t) {super(s,t);}
 protected PolyDException(Throwable t) {super(t);}
}
