/*
  (c) 2005 Antonio Cunei, All rights reserved.

  This file is part of PolyD.

  PolyD is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation; either version 2.1 of the License, or
  (at your option) any later version.

  PolyD is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with PolyD; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ovm.polyd.policy;
import java.lang.reflect.InvocationTargetException;

/**
 * An invocation policy that simply invokes
 * methods (for testing only).
 * 
 * @version $Revision: 1.5 $, $Date: 2005/04/02 05:51:32 $
 * @author Antonio Cunei
 *
 */
public class PlainInvocation extends Invocation {
 protected PlainInvocation() {}
 private static final Invocation theInvocation=new PlainInvocation();
 /**
  * Returns an instance of this invocation policy.
  * 
  * @return an instance of this policy (a singleton)
  */
 public static Invocation theInvocation() { return theInvocation; }

 public Object invoke(Object obj,java.lang.reflect.Method m,Object[] args) throws
  Throwable {
  try {
// System.out.println("About to call: "+ovm.polyd.MethodGroup.methodString(m));
   return m.invoke(obj,args); // if static, obj is ignored
  } catch (InvocationTargetException e) {
   throw e.getTargetException();
  }
 }
 
}
