/*
  (c) 2005 Antonio Cunei, All rights reserved.

  This file is part of PolyD.

  PolyD is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation; either version 2.1 of the License, or
  (at your option) any later version.

  PolyD is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with PolyD; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ovm.polyd.tags;

import java.lang.annotation.*;

import ovm.polyd.Utils;

/**
 * Use this tag when you want an argument to be interpreted
 * as an instance of the given class, rather than according
 * to its true runtime class.<p>
 * You cannot use this tag with a {@link Raw raw} argument.
 * 
 * @author Antonio Cunei
 * @version $Revision: 1.3 $, $Date: 2005/04/02 05:51:32 $
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.PARAMETER})
public @interface As {
  /**
   * This class will be the one used to select the
   * best method, rather than the real class of the argument.
   */
  Class value();
}
