/*
  (c) 2005 Antonio Cunei, All rights reserved.

  This file is part of PolyD.

  PolyD is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation; either version 2.1 of the License, or
  (at your option) any later version.

  PolyD is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with PolyD; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package ovm.polyd.tags;

import java.lang.annotation.*;

/**
 * Use this tag to mark raw arguments.<p>
 * Raw arguments will be passed as they are to the dynamic
 * selector in the dispatching policy, and will not be
 * included in the list of the method arguments. Raw
 * arguments can be any objects or integers. A raw argument
 * cannot be further qualified by the {@link As @As} or
 * {@link IfNull @IfNull} tags.
 * 
 * @author Antonio Cunei
 * @version $Revision: 1.3 $, $Date: 2005/04/02 05:51:32 $
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.PARAMETER})
public @interface Raw {
}
